com.ibm.openpages.api.workflow.actions

## Interface IWFCustomProperty

-     public interface IWFCustomProperty

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<IWFFieldSetter>` | `getFields()` Returns a list of field setter objects.
    `java.lang.String` | `getName()` Returns the name of the property.
    `IWFObjectsEval` | `getTargetObjects()` Returns the evaluation to get the target objects.
    `IWFEvalUnit` | `getValue()` Returns the value.
    `java.lang.String` | `getValueInContext(IWFOperationContext context)` Returns the evaluated value given the supplied context.
    `void` | `setFields(java.util.List<IWFFieldSetter> fields)` Sets the list of field setter objects.
    `void` | `setName(java.lang.String name)` Sets the name of the property.
    `void` | `setTargetObjects(IWFObjectsEval targetObjects)` Sets the evaluation to get the target objects.
    `void` | `setValue(IWFEvalUnit value)` Sets the value.
    `void` | `setValue(java.lang.String value)` Sets the value as a String.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the name of the property.
      Returns:

    - #### setName

          void setName(java.lang.String name)

      Sets the name of the property.
      Parameters:
        `name` -

    - #### getValue

          IWFEvalUnit getValue()

      Returns the value. Refer `IWFEvalUnit`
      Returns:

    - #### getValueInContext

          java.lang.String getValueInContext(IWFOperationContext context)

      Returns the evaluated value given the supplied context.
      Parameters:
        `context` - Refer `IWFOperationContext`
      Returns:

    - #### setValue

          void setValue(IWFEvalUnit value)

      Sets the value. Refer `IWFEvalUnit`
      Parameters:
        `value` -

    - #### setValue

          void setValue(java.lang.String value)

      Sets the value as a String.
      Parameters:
        `value` -

    - #### getFields

          java.util.List<IWFFieldSetter> getFields()

      Returns a list of field setter objects. Refer `IWFFieldSetter`
      Returns:

    - #### setFields

          void setFields(java.util.List<IWFFieldSetter> fields)

      Sets the list of field setter objects. Refer `IWFFieldSetter`
      Parameters:
        `fields` -

    - #### getTargetObjects

          IWFObjectsEval getTargetObjects()

      Returns the evaluation to get the target objects. Refer `IWFObjectsEval`
      Returns:

    - #### setTargetObjects

          void setTargetObjects(IWFObjectsEval targetObjects)

      Sets the evaluation to get the target objects. Refer `IWFObjectsEval`
      Parameters:
        `targetObjects` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.